cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

1038
Views
0
Helpful
3
Replies
Dan Brook
Beginner

Unable to load ASDM when FirePower module is connected

I am having an issue with a pair or newly installed (not yet production) ASA5516-X with Firepower. I am unable to load ASDM get the following error:

Unable to load ASDM.PNG

If I close that pop up and don't press the Exit ASDM button I get: 

Unable to load ASDM2.PNG

 

 

ASA Aversion: 9.9(2)
ASDM Version: 7.9(2)159

FirePower Software Version: 6.2.2-81

 

I am connecting from a session host (RDP) running Windows 2016 (Version 10.0.14393 Build 14393)
and Java version 8u191.

 

The only way to get into ASDM is to cancel the SSL cert prompt for the Firepower module when loading ASDM or disconnect the module. ASA is managed through port G1/8 and the Firepower module through M1/1 on the same subnet. My machine is on another subnet behind an additional firewall but can get to both IP addresses by ICMP, https & ssh.

 

I have also come across this issue with ASA5506-X and Firepower modules. 

3 REPLIES 3
Marvin Rhoads
VIP Community Legend

Do you have 32-bit or 64-bit Java installed (or both)?

 

Check when you launch ASDM. Go to Task Manager, right click on Java process and Open File Location. We want ASDM to find and use 32-bit Java (in someplace like C:\Program Files (x86)\Common Files\Oracle\Java\...)

It look like I'm using Java 32 bit:

 

java version "1.8.0_191"
Java(TM) SE Runtime Environment (build 1.8.0_191-b12)
Java HotSpot(TM) Client VM (build 25.191-b12, mixed mode, sharing)

 

C:\Program Files (x86)\Common Files\Oracle\Java\javapath_target_445877828

OK, that looks good. I'm using the same Java version and have connected to multiple ASAs with Firepower service module successfully.

 

I double checked the compatibility matrix and your versions should all be OK as well:

 

https://www.cisco.com/c/en/us/td/docs/security/asa/compatibility/asamatrx.html#id_59075

 

It's odd that when the service module is connected that everything else works OK. I don't see any documented bugs concerning this with your 6.2.2 build but I wonder if it would help to reimage the module to a 6.2.3.x release.

 

 

Content for Community-Ad